## sphinx 0.4.2

=== Makefile ===
PYTHON ?= python

export PYTHONPATH = $(shell echo "$$PYTHONPATH"):./sphinx

.PHONY: all check clean clean-pyc clean-patchfiles pylint reindent test

all: clean-pyc check

check:
	@$(PYTHON) utils/check_sources.py -i sphinx/style/jquery.js sphinx

clean: clean-pyc clean-patchfiles

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

clean-patchfiles:
	find . -name '*.orig' -exec rm -f {} +
	find . -name '*.rej' -exec rm -f {} +

pylint:
	@pylint --rcfile utils/pylintrc sphinx

reindent:
	@$(PYTHON) utils/reindent.py -r -B .

test:
	@cd tests; $(PYTHON) run.py -d

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS   =
SPHINXBUILD  = python ../sphinx-build.py
PAPER        =

PAPEROPT_a4      = -D latex_paper_size=a4
PAPEROPT_letter  = -D latex_paper_size=letter
ALLSPHINXOPTS = -d _build/doctrees $(PAPEROPT_$(PAPER)) \
                $(SPHINXOPTS) .

.PHONY: help clean html web htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  web       to make files usable by Sphinx.web"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

pickle:
	mkdir -p _build/pickle _build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web _build/pickle"
	@echo "to start the server."

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	mkdir -p _build/doctest _build/doctrees
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest

## sphinx 0.6.2

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,12 @@
 
 .PHONY: all check clean clean-pyc clean-patchfiles pylint reindent test
 
-all: clean-pyc check
+all: clean-pyc check test
 
 check:
-	@$(PYTHON) utils/check_sources.py -i sphinx/style/jquery.js sphinx
+	@$(PYTHON) utils/check_sources.py -i sphinx/style/jquery.js \
+		-i sphinx/pycode/pgen2 -i sphinx/util/smartypants.py \
+		-i doc/_build -i ez_setup.py -i tests/path.py -i tests/coverage.py .
 
 clean: clean-pyc clean-patchfiles
 
@@ -27,4 +29,7 @@
 	@$(PYTHON) utils/reindent.py -r -B .
 
 test:
-	@cd tests; $(PYTHON) run.py -d
+	@cd tests; $(PYTHON) run.py -d -m '^[tT]est' $(TEST)
+
+covertest:
+	@cd tests; $(PYTHON) run.py -d -m '^[tT]est' --with-coverage --cover-package=sphinx $(TEST)

## sphinx 0.6.4

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 all: clean-pyc check test
 
 check:
-	@$(PYTHON) utils/check_sources.py -i sphinx/style/jquery.js \
-		-i sphinx/pycode/pgen2 -i sphinx/util/smartypants.py \
+	@$(PYTHON) utils/check_sources.py -i build -i dist -i sphinx/style/jquery.js \
+		-i sphinx/pycode/pgen2 -i sphinx/util/smartypants.py -i .ropeproject \
 		-i doc/_build -i ez_setup.py -i tests/path.py -i tests/coverage.py .
 
 clean: clean-pyc clean-patchfiles

=== doc/Makefile ===
--- 
+++ 
@@ -11,12 +11,13 @@
 ALLSPHINXOPTS = -d _build/doctrees $(PAPEROPT_$(PAPER)) \
                 $(SPHINXOPTS) .
 
-.PHONY: help clean html web htmlhelp latex changes linkcheck
+.PHONY: help clean html dirhtml pickle htmlhelp qthelp latex changes linkcheck doctest
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html      to make standalone HTML files"
-	@echo "  web       to make files usable by Sphinx.web"
+	@echo "  dirhtml   to make HTML files called index.html in directories"
+	@echo "  pickle    to make pickle files"
 	@echo "  htmlhelp  to make HTML files and a HTML help project"
 	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
 	@echo "  changes   to make an overview over all changed/added/deprecated items"
@@ -31,13 +32,21 @@
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
 
+dirhtml:
+	mkdir -p _build/dirhtml _build/doctrees
+	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
+	@echo
+	@echo "Build finished. The HTML pages are in _build/dirhtml."
+
+text:
+	mkdir -p _build/text _build/doctrees
+	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) _build/text
+	@echo
+	@echo "Build finished."
+
 pickle:
 	mkdir -p _build/pickle _build/doctrees
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
-	@echo
-	@echo "Build finished; now you can run"
-	@echo "  python -m sphinx.web _build/pickle"
-	@echo "to start the server."
 
 htmlhelp:
 	mkdir -p _build/htmlhelp _build/doctrees
@@ -45,6 +54,16 @@
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in _build/htmlhelp."
+
+qthelp:
+	mkdir -p _build/qthelp _build/doctrees
+	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
+	@echo
+	@echo "Build finished; now you can run qcollectiongenerator with the" \
+	      ".qhcp project file in build/qthelp."
+	@echo "# qcollectiongenerator _build/qthelp/Sphinx.qhcp"
+	@echo "To view the help collection:"
+	@echo "# assistant -collectionFile _build/qthelp/Sphinx.qhc"
 
 latex:
 	mkdir -p _build/latex _build/doctrees

## sphinx 0.6.6

=== doc/Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	@echo "  html      to make standalone HTML files"
 	@echo "  dirhtml   to make HTML files called index.html in directories"
 	@echo "  pickle    to make pickle files"
+	@echo "  json      to make json files"
 	@echo "  htmlhelp  to make HTML files and a HTML help project"
 	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
 	@echo "  changes   to make an overview over all changed/added/deprecated items"
@@ -47,6 +48,10 @@
 pickle:
 	mkdir -p _build/pickle _build/doctrees
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
+
+json:
+	mkdir -p _build/json _build/doctrees
+	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
 
 htmlhelp:
 	mkdir -p _build/htmlhelp _build/doctrees

## sphinx 1.0.7

=== debian/changelog ===
sphinx (1.0.7-2~nd10.04+1) lucid; urgency=low

  * Backported for lucid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 20 Mar 2011 00:48:07 -0400

sphinx (1.0.7-2) experimental; urgency=low

  [ Mikhail Gusarov ]
  * Change my email address.

  [ Jakub Wilk ]
  * Stop embedding Python version in filename of grammar pickle.
  * Ship grammar pickle in the binary package (closes: #613412). Thanks to
    Frederic-Emmanuel Picca for the bug report.
  * Drop preinst script to remove python-central leftovers; not needed
    anymore.
  * Revert changes to the autosummary extension introduced in 1.0.7
    (closes: #611078).

 -- Jakub Wilk <jwilk@debian.org>  Thu, 17 Feb 2011 15:26:43 +0100

sphinx (1.0.7-1) experimental; urgency=low

  * New upstream release.
    + Refresh patches.
    + Add texlive-{latex-{recommended,extra},fonts-recommended} to
      Build-Depends-Indep, so that tests for LaTeX output can be run.
  * Move pycode/Grammar.txt and ext/autosummary/templates/* out of
    /usr/share/pyshared/ (closes: #609486).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 15 Jan 2011 19:32:06 +0100

sphinx (1.0.6-1) experimental; urgency=low

  * New upstream release.
    + Refresh patches.
    + Bump year in debian/copyright.
  * Don't compress objects.inv. Thanks to Michael Fladischer for the bug
    report.
  * Remove *.egg-info in the clean target.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 08 Jan 2011 15:54:59 +0100

sphinx (1.0.5-1) experimental; urgency=low

  [ Jakub Wilk ]
  * New upstream release.
  * Fix formatting of the manual pages.
  * Update and significantly rewrite manual pages (closes: #593623).
  * Point Vcs-* fields to the 1.0 branch.
  * Switch to source format 3.0 (quilt).
    + Drop README.source.
    + Refresh patches.
    + Update debian/rules.
    + Drop quilt from build-depends.
  * Update debian/copyright.
  * Use DEP-3 format for patch headers.
  * Run tests at build time.
    + Add python-nose and python-simplejson to Build-Depends-Indep.
    + Patch test runner to import modules correctly and prevent it from
      reading files in /usr/share/sphinx.
    + Update debian/rules.

  [ Stefano Rivera ]
  * Improve language and clarify options in manpages.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 18 Dec 2010 18:11:54 +0100

sphinx (1.0.1-1) experimental; urgency=low

  [ Mikhail Gusarov ]
  * Fix preinst script to correctly remove python-central remnants (Closes:
    #559572).

  [ Jakub Wilk ]
  * Add myself to uploaders.
  * New upstream release, fixing HTML generation bugs (closes: #588825,
    #588829).
  * Bump standards version to 3.9.1 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 07 Aug 2010 17:34:29 +0200

sphinx (1.0~b1-1) experimental; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release
  * Minimum required versions bumped:
    - python-jinja2 >= 2.2
    - python-docutils >= 0.5
  * move_static_files_outside_site-packages.patch updated

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 25 May 2010 23:01:44 +0200

sphinx (0.6.6-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release
    - disable_ez_setup.patch removed, no longer needed
    - move_static_files_outside_site-packages.patch updated
  * Bump Standards-Version to 3.8.4, no changes needed.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 25 May 2010 22:30:46 +0200

sphinx (0.6.5-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 29 Mar 2010 23:08:45 +0200

sphinx (0.6.4-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 13 Jan 2010 23:26:40 +0100

sphinx (0.6.3-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Add preinst maintainer script to remove python-central leftovers; thanks to
    Jakub Wilk for the report; Closes: #559572

  [ Sandro Tosi ]
  * debian/control
    - added misc:Depends to the binary package Depends line

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sun, 03 Jan 2010 22:37:20 +0600

sphinx (0.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #545042):
    - handle error when using autoclass with a non-class (Closes: #537165)
    - all patches refreshed.
  * Use debian/pyversions instead of X[SB]-Python-Version.
  * Add doc-base file for manual.
  * Bump Standards-Version, no changes needed.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Fri, 04 Sep 2009 17:49:20 +0700

sphinx (0.6.2-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release (Closes: #527538)
    - add_missing_sphinx-autogen and rfind-invocation patches removed, no
      longer needed
    - move_static_files_outside_site-packages.patch updated
  * Standards-Version bumped to 3.8.2, no changes needed.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 17 Jun 2009 19:32:26 +0200

sphinx (0.6.1-2) unstable; urgency=low

  [ Mikhail Gusarov ]
  * Fix debian/README.source: s/dpatch/quilt/ (Closes: #523293).
  * Add debian/rfind-invocation.patch, fixing breakage on python-werkzeug
    docs.

  [ Piotr Ożarowski ]
  * Install .mo files (Closes: #526027)

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sun, 12 Apr 2009 14:37:30 +0700

sphinx (0.6.1-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release
    + depend on python-jinja2 instead of python-jinja
  * Add move_static_files_outside_site-packages patch
  * Build depend on python-all (>= 2.5.4-1) (py_libdir is now used in
    debian/rules)
  * add_missing_sphinx-autogen.patch added (missing file will be added in next


=== debian/control ===
Source: sphinx
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Mikhail Gusarov <dottedmag@debian.org>
Uploaders: Jakub Wilk <jwilk@debian.org>, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Homepage: http://sphinx.pocoo.org/
Build-Depends: debhelper (>= 7), python-all (>= 2.5.4-1~), python-setuptools (>= 0.6c5-1~)
Build-Depends-Indep: python-support (>= 0.6.4), python-docutils, python-pygments (>= 0.8), python-jinja2 (>= 2.1),
  python-nose, python-simplejson,
  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/python-modules/packages/sphinx/branches/1.0/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sphinx/branches/1.0/

Package: python-sphinx
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-docutils (>= 0.5), python-pygments (>= 0.8), python-jinja2 (>= 2.2), libjs-jquery
Recommends: python (>= 2.6) | python-simplejson, python-imaging
Suggests: jsmath
Description: tool for producing documentation for Python projects
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including doctrings from Python modules.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/python/python.mk

PACKAGE_NAME=python-sphinx
PACKAGE_DIR=$(CURDIR)/debian/$(PACKAGE_NAME)
SITE_PACKAGES_DIR=$(PACKAGE_DIR)$(call py_libdir,$(shell pyversions -d))

build: build-stamp

build-stamp:
	dh_testdir
	mkdir -p _build/html
	PYTHONPATH=. python debian/sphinx-build-local.py doc _build/html
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	for python in $(shell pyversions -r); do \
		$$python tests/run.py; \
	done
endif
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	python setup.py clean
	find . -name '*.py[co]' -delete
	rm -rf _build build *.egg-info
	dh_clean sphinx/pycode/*.pickle

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	
	python setup.py install --no-compile --install-layout=deb --root $(PACKAGE_DIR)
	# move static files outside {site,dist}-packages
	mv $(SITE_PACKAGES_DIR)/sphinx/texinputs $(PACKAGE_DIR)/usr/share/sphinx/
	mv $(SITE_PACKAGES_DIR)/sphinx/themes $(PACKAGE_DIR)/usr/share/sphinx/
	mv $(SITE_PACKAGES_DIR)/sphinx/pycode/Grammar.txt $(PACKAGE_DIR)/usr/share/sphinx/pycode/
	cp sphinx/pycode/Grammar.pickle $(PACKAGE_DIR)/usr/share/sphinx/pycode/
	mv $(SITE_PACKAGES_DIR)/sphinx/ext/autosummary/templates $(PACKAGE_DIR)/usr/share/sphinx/ext/autosummary/
	for lang in `find $(SITE_PACKAGES_DIR)/sphinx/locale\
		-maxdepth 1 -mindepth 1 -type d -printf "%f "`;\
	do\
		mkdir $(PACKAGE_DIR)/usr/share/sphinx/locale/$$lang;\
		mkdir -p $(PACKAGE_DIR)/usr/share/locale/$$lang/LC_MESSAGES;\
		mv $(SITE_PACKAGES_DIR)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.js\
		   $(PACKAGE_DIR)/usr/share/sphinx/locale/$$lang/;\
		mv $(SITE_PACKAGES_DIR)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.mo\
		   $(PACKAGE_DIR)/usr/share/locale/$$lang/LC_MESSAGES;\
		rm -rf $(SITE_PACKAGES_DIR)/sphinx/locale/$$lang;\
	done
	rm -f $(SITE_PACKAGES_DIR)/sphinx/locale/sphinx.pot
	# use packaged jQuery
	dh_link /usr/share/javascript/jquery/jquery.js \
		/usr/share/sphinx/themes/basic/static/jquery.js
	# install scripts not touched by easy install
	install -m 755 $(CURDIR)/sphinx-build.py $(PACKAGE_DIR)/usr/bin/sphinx-build
	install -m 755 $(CURDIR)/sphinx-quickstart.py $(PACKAGE_DIR)/usr/bin/sphinx-quickstart
	install -m 755 $(CURDIR)/sphinx-autogen.py $(PACKAGE_DIR)/usr/bin/sphinx-autogen

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	rm -rf $(PACKAGE_DIR)/usr/share/doc/python-sphinx/html/.doctrees
	dh_link /usr/share/doc/python-sphinx/html/_sources/ /usr/share/doc/python-sphinx/rst
	dh_installexamples
	dh_installman
	dh_pysupport
	dh_compress -X.py -X.js -X.rst -X.json -X.doctree -X.txt -Xobjects.inv
	dh_link /usr/share/javascript/jquery/jquery.js \
		/usr/share/doc/python-sphinx/html/_static/jquery.js
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=uversionmangle=s/b/~b/ \
http://pypi.python.org/packages/source/S/Sphinx/Sphinx-(.*)\.tar\.gz

## sphinx 1.0.7+dfsg

=== debian/changelog ===
sphinx (1.0.7+dfsg-1) unstable; urgency=medium

  * Strip jQuery and Underscore.js from the upstream tarball (closes:
    #631535).
    + Add get-orig-source target.
    + Remove them from debian/copyright.
    + Add build-dependency on libjs-underscore,
    + Update watch file to deal with the +dfsg suffix.
  * Unify multiple calls to dh_link.
  * Use build/html as build directory for documentation.
  * Add integration tests for the JavaScript code. They should allow us to
    avoid bugs like #625208 or #628642 in the future.
    + Build-depend on xvfb, xauth, python-webkit, libjs-jquery and
      libjs-underscore.
  * Add build-arch and build-indep targets to debian/rules.
  * Add new tool, dh_sphinxdoc that aids shipping Sphinx-generated
    documentation in Debian packages.
    + Update debian/rules, debian/control and debian/*.links to use
      dh_sphinxdoc.
    + Use pod2man to generate manpage. Add dependency on perl. Update
      debian/manpages and debian/clean.
  * Move all JavaScript code into a separate package, libjs-sphinxdoc.
  * Fix test_build_latex to not fail in a directory with special characters.
  * Use debian/clean rather than listing files to clean directly in
    debian/rules.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 10 Jul 2011 22:43:16 +0200

sphinx (1.0.7-5) unstable; urgency=low

  [ Jakub Wilk ]
  * Bump standards version to 3.9.2 (no changes needed).
  * Bump minimum required version of jQuery to 1.4.
  * Use python (>= 2.6.6-14~) as an alternative build-dependency to
    python-simplejson. The latter package is only needed for python2.5, and
    python-defaults 2.6.6-14 doesn't support it anymore.
  * Include jQuery source (closes: #630973).
    + Check at build time if versions of both jQuery copies match.

  [ Nikolaus Rath ]
  * Backport upstream changesets a8b0ef275438 and de340a6098c7 to allow
    extraction of function signature from docstring for extension modules.
    (closes: #630409). The feature is disabled by default for the moment.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 19 Jun 2011 14:44:49 +0200

sphinx (1.0.7-4) unstable; urgency=low

  * When Sphinx crashes, show 10 stack frames (instead of a single one).
  * Backport upstream patch to fix incompatibility with jQuery >= 1.5
    (closes: #625208). Thanks to Tshepang Lekhonkhobe for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 19 May 2011 11:59:00 +0200

sphinx (1.0.7-3) unstable; urgency=low

  [ Mikhail Gusarov ]
  * Change my email address.

  [ Jakub Wilk ]
  * New upstream release (closes: #613207).
    + Refresh patches.
    + Revert changes to the autosummary extension introduced in 1.0.7
      (closes: #611078).
  * Don't compress objects.inv. Thanks to Michael Fladischer for the bug
    report.
  * Remove *.egg-info in the clean target.
  * Move pycode/Grammar.txt and ext/autosummary/templates/* out of
    /usr/share/pyshared/ (closes: #609486).
  * Stop embedding Python version in filename of grammar pickle.
  * Ship grammar pickle in the binary package (closes: #613412). Thanks to
    Frederic-Emmanuel Picca for the bug report.
  * Drop preinst script to remove python-central leftovers; not needed
    anymore.
  * New upstream release.
  * Update and significantly rewrite manual pages (closes: #593623).
  * Switch to source format 3.0 (quilt).
    + Drop README.source.
    + Refresh patches.
    + Update debian/rules.
    + Drop quilt from build-depends.
  * Update debian/copyright.
  * Use DEP-3 format for patch headers.
  * Run tests at build time.
    + Add python-nose, python-simplejson and
      texlive-{latex-{recommended,extra},fonts-recommended} to
      Build-Depends-Indep.
    + Patch test runner to import modules correctly and prevent it from
      reading files in /usr/share/sphinx.
    + Update debian/rules.
  * Bump standards version to 3.9.1 (no changes needed).
  * Add ‘set -e’ to a for loop in debian/rules.

  [ Piotr Ożarowski ]
  * Minimum required versions bumped:
    - python-jinja2 >= 2.2
    - python-docutils >= 0.5
  * move_static_files_outside_site-packages.patch updated

  [ Stefano Rivera ]
  * Improve language and clarify options in manpages.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 04 Apr 2011 13:50:56 +0200

sphinx (0.6.6-3) unstable; urgency=low

  * Add myself to uploaders.
  * Fix formatting of the manual pages.
  * Update and significantly rewrite the sphinx-build manual page
    (closes: #593623).
  * Bump standards version to 3.9.1 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 30 Aug 2010 00:26:04 +0200

sphinx (0.6.6-2) unstable; urgency=low

  * Team upload.
   
  [ Mikhail Gusarov ]
  * Fix preinst script to correctly remove python-central remnants (Closes:
    #559572).

 -- Jakub Wilk <jwilk@debian.org>  Fri, 06 Aug 2010 16:33:55 +0200

=== debian/control ===
Source: sphinx
Section: python
Priority: optional
Maintainer: Mikhail Gusarov <dottedmag@debian.org>
Uploaders: Jakub Wilk <jwilk@debian.org>, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Homepage: http://sphinx.pocoo.org/
Build-Depends: debhelper (>= 7), python-all (>= 2.5.4-1~), python-setuptools (>= 0.6c5-1~)
Build-Depends-Indep: python-support (>= 0.6.4), python-docutils, python-pygments (>= 0.8), python-jinja2 (>= 2.1),
  python-nose, python (>= 2.6.6-14~) | python-simplejson,
  xvfb, xauth, python-webkit, libjs-jquery (>= 1.4), libjs-underscore,
  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
  perl
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/python-modules/packages/sphinx/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sphinx/trunk/

Package: python-sphinx
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-docutils (>= 0.5), python-pygments (>= 0.8), python-jinja2 (>= 2.2),
  ${sphinxdoc:Depends}, libjs-sphinxdoc (= ${source:Version})
Recommends: python (>= 2.6) | python-simplejson, python-imaging
Suggests: jsmath
Description: tool for producing documentation for Python projects
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including doctrings from Python modules.

Package: libjs-sphinxdoc
Section: web
Architecture: all
Depends: ${misc:Depends}, libjs-jquery (>= 1.4), libjs-underscore
Description: JavaScript support for Sphinx documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package provides JavaScript code for documentation generated by Sphinx.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/python/python.mk

here = $(dir $(firstword $(MAKEFILE_LIST)))/..
debian_version = $(word 2,$(shell cd $(here) && dpkg-parsechangelog | grep ^Version:))
upstream_dfsg_version = $(firstword $(subst -, ,$(debian_version)))

PACKAGE_NAME=python-sphinx
PACKAGE_DIR=$(CURDIR)/debian/$(PACKAGE_NAME)
SITE_PACKAGES_DIR=$(PACKAGE_DIR)$(call py_libdir,$(shell pyversions -d))

javascript_path = /usr/share/javascript/sphinxdoc/1.0/

build-arch:

build-indep build: build-stamp

build-stamp:
	dh_testdir
	ln -s /usr/share/javascript/jquery/jquery.js sphinx/themes/basic/static/
	ln -s /usr/share/javascript/underscore/underscore.js sphinx/themes/basic/static/
	mkdir -p build/html
	PYTHONPATH=. python debian/sphinx-build-local.py doc build/html
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	for python in $(shell pyversions -r); do \
		$$python tests/run.py; \
	done
	xvfb-run ./debian/jstest/run-tests
endif
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	python setup.py clean
	find . -name '*.py[co]' -delete
	rm -rf build *.egg-info
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	python setup.py install --no-compile --install-layout=deb --root $(PACKAGE_DIR)
	# move static files outside {site,dist}-packages
	mv $(SITE_PACKAGES_DIR)/sphinx/texinputs $(PACKAGE_DIR)/usr/share/sphinx/
	mv $(SITE_PACKAGES_DIR)/sphinx/themes $(PACKAGE_DIR)/usr/share/sphinx/
	mv $(SITE_PACKAGES_DIR)/sphinx/pycode/Grammar.txt $(PACKAGE_DIR)/usr/share/sphinx/pycode/
	cp sphinx/pycode/Grammar.pickle $(PACKAGE_DIR)/usr/share/sphinx/pycode/
	mv $(SITE_PACKAGES_DIR)/sphinx/ext/autosummary/templates $(PACKAGE_DIR)/usr/share/sphinx/ext/autosummary/
	set -e; \
	for lang in `find $(SITE_PACKAGES_DIR)/sphinx/locale\
		-maxdepth 1 -mindepth 1 -type d -printf "%f "`;\
	do\
		mkdir $(PACKAGE_DIR)/usr/share/sphinx/locale/$$lang;\
		mkdir -p $(PACKAGE_DIR)/usr/share/locale/$$lang/LC_MESSAGES;\
		mv $(SITE_PACKAGES_DIR)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.js\
		   $(PACKAGE_DIR)/usr/share/sphinx/locale/$$lang/;\
		mv $(SITE_PACKAGES_DIR)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.mo\
		   $(PACKAGE_DIR)/usr/share/locale/$$lang/LC_MESSAGES;\
		rm -rf $(SITE_PACKAGES_DIR)/sphinx/locale/$$lang;\
	done
	rm -f $(SITE_PACKAGES_DIR)/sphinx/locale/sphinx.pot
	# install scripts not touched by easy install
	install -m 755 $(CURDIR)/sphinx-build.py $(PACKAGE_DIR)/usr/bin/sphinx-build
	install -m 755 $(CURDIR)/sphinx-quickstart.py $(PACKAGE_DIR)/usr/bin/sphinx-quickstart
	install -m 755 $(CURDIR)/sphinx-autogen.py $(PACKAGE_DIR)/usr/bin/sphinx-autogen
	# Move JavaScript code to libjs-sphinxdoc:
	set -e; \
	for js in $$(find $(PACKAGE_DIR)/usr/share/sphinx/themes/ -name '*.js'); do \
		mv $$js debian/libjs-sphinxdoc/$(javascript_path); \
		ln -sf "$(javascript_path)/$${js##*/}" $$js; \
	done
	cd debian/dh-sphinxdoc/ && pod2man -c Debhelper -r '' dh_sphinxdoc dh_sphinxdoc.1

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_install
	./debian/dh-sphinxdoc/dh_sphinxdoc /usr/share/doc/python-sphinx/html/
	dh_installexamples
	dh_installman
	dh_pysupport
	dh_compress -X.py -X.js -X.rst -X.json -X.txt -Xobjects.inv
	dh_link
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch

get-orig-source:
	sh $(here)/debian/get-orig-source.sh $(upstream_dfsg_version)

.PHONY: build-arch build-indep build clean binary-indep binary-arch binary install get-orig-source

## sphinx 1.0.8+dfsg

=== debian/changelog ===
sphinx (1.0.8+dfsg-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 12 Nov 2011 12:31:01 +0100

sphinx (1.0.8+dfsg-2) unstable; urgency=low

  * Upload to unstable.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 12 Oct 2011 00:34:20 +0200

sphinx (1.0.8+dfsg-1) experimental; urgency=low

  * New upstream release.
    + Drop fix_jquery_1.5_incompatibility.diff, applied upstream.
    + Drop fix_test_build_latex.diff, applied upstream.
    + Refresh other patches.
  * Export PYTHONWARNINGS=d in debian/rules to enable all warnings in Python
    code.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 28 Sep 2011 17:20:22 +0200

sphinx (1.0.7+dfsg-2) unstable; urgency=low

  * JavaScript test suite: don't hang if get_title() returns None. Thanks to
    Ansgar Burchardt for the bug report.
  * dh_sphinxdoc:
    + Fix a typo in the manual page.
    + Don't check for existence of source files if HAS_SOURCE is false
      (closes: #641710). Thanks to Raphaël Hertzog for the bug report.
  * Disable use of ez_setup in setup.py.
  * Set myself as maintainer. Thanks to Mikhail Gusarov for his past work!

 -- Jakub Wilk <jwilk@debian.org>  Thu, 15 Sep 2011 13:53:16 +0200

sphinx (1.0.7+dfsg-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Disable JavaScript test using webkit as it hangs with Squeeze's version of
    python-webkit.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 13 Aug 2011 21:42:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: sphinx
 Section: python
 Priority: optional
-Maintainer: Mikhail Gusarov <dottedmag@debian.org>
-Uploaders: Jakub Wilk <jwilk@debian.org>, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Jakub Wilk <jwilk@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Homepage: http://sphinx.pocoo.org/
 Build-Depends: debhelper (>= 7), python-all (>= 2.5.4-1~), python-setuptools (>= 0.6c5-1~)
 Build-Depends-Indep: python-support (>= 0.6.4), python-docutils, python-pygments (>= 0.8), python-jinja2 (>= 2.1),
   python-nose, python (>= 2.6.6-14~) | python-simplejson,
-  xvfb, xauth, python-webkit, libjs-jquery (>= 1.4), libjs-underscore,
+  libjs-jquery (>= 1.4), libjs-underscore,
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
   perl
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 include /usr/share/python/python.mk
+
+export PYTHONWARNINGS=d
 
 here = $(dir $(firstword $(MAKEFILE_LIST)))/..
 debian_version = $(word 2,$(shell cd $(here) && dpkg-parsechangelog | grep ^Version:))
@@ -28,7 +30,6 @@
 	for python in $(shell pyversions -r); do \
 		$$python tests/run.py; \
 	done
-	xvfb-run ./debian/jstest/run-tests
 endif
 	touch build-stamp

## sphinx 1.1.2+dfsg

=== debian/changelog ===
sphinx (1.1.2+dfsg-1) experimental; urgency=low

  * New upstream release (closes: #649048).
    + Drop autosummary_1.0.6.patch for the time being (reopens: #611078).
    + Drop docstring_parse.diff, applied upstream.
    + Rename disable_ez_setup.diff to disable_distribute_setup.diff.
    + Drop move_static_files_outside_site-packages.patch. Most of it was
      applied upstream, the remaining bits are now taken care of in
      debian/rules.
    + Refresh other patches.
    + Update integration tests for the JavaScript code.
    + Bump minimum required versions:
      - python-docutils to >= 0.7;
      - python-pygments to >= 1.2;
      - python-jinja2 to >= 2.3.
      - python to >= 2.5.
    + Add code to install also JavaScript files that are generated at build
      time. Add websupport.js to dh_sphinxdoc index.
    + Update debian/copyright.
  * Texinfo output format is now supported (closes: #586747).
  * Update version numbers in the manual pages. Add a build-time warning to be
    emitted if they ever get out of date again.
  * Build manual pages (except for sphinx-autogen.1) from reStructuredText
    sources.
  * Rephrase short package description, so that it's... shorter.
  * New binary package: sphinx-common, containing manual pages, templates,
    translations and other data files.
  * New binary package: sphinx-doc, containing documentation.
    + Conflict with previous versions python-sphinx.
    + /usr/share/doc/python-sphinx/html used to be a directory, but is now a
      symlink. Conflict with older versions of python-docutils, so that dpkg
      can replace one with the other. Add lintian override.
  * New binary package: python3-sphinx.
    + Both python-sphinx and python3-sphinx provide sphinx-* scripts. The
      scripts have:
      #!/usr/bin/python3 shebang if only python3-sphinx is installed;
      #!/usr/bin/python shebang otherwise.
    + /usr/bin/sphinx-* are now symlinks and are managed by docutils-common
      postinst/postrm maintainer scripts.
    + Make sphinx-common conflict with older versions of python-sphinx that
      were shipping /usr/bin/sphinx-* scripts. Add lintian override for
      conflicts-with-version.
    + Add build-dependency on python3 (needed for dh_python3) and
      python3-setuptools.
    + Add X-Python3-Version field.
  * Improve debian/rules:
    + Run dh_install with --fail-missing.
    + Make the build actually fail if integration tests for the JavaScript
      code fail.
    + Refactor the code responsible for moving data into a private directory.
      Rename some variables to make them lowercase. Don't use CURDIR where
      it's not necessary.
    + Make it possible to rebuild the package without running clean target.
    + Remove unneeded mkdir calls.
    + Use a for loop in debian/rules to install all sphinx-* scripts.
    + Run nosetests with --verbose --no-skip.
  * Add build-dependency on the following packages (needed for the test
    suite): python-sqlalchemy, python-whoosh, python-xapian.
  * Use XS-Python-Version instead of debian/pyversions.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 20 Nov 2011 15:56:50 +0100

=== debian/control ===
Source: sphinx
Section: python
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Homepage: http://sphinx.pocoo.org/
Build-Depends: debhelper (>= 7), python-all (>= 2.5.4-1~), python-setuptools (>= 0.6c5-1~)
Build-Depends-Indep: python-support (>= 0.6.4),
  python3 (>= 3.1.2-7~), python3-setuptools,
  python-docutils (>= 0.7),
  python-pygments (>= 1.2),
  python-jinja2 (>= 2.3),
  python-sqlalchemy,
  python-whoosh,
  python-xapian,
  python-nose, python (>= 2.6.6-14~) | python-simplejson,
  xvfb, xauth, python-webkit, libjs-jquery (>= 1.4), libjs-underscore,
  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
  perl
XS-Python-Version: >= 2.5
X-Python3-Version: >= 3.1
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/python-modules/packages/sphinx/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sphinx/trunk/

Package: python-sphinx
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
  python-docutils (>= 0.7),
  python-pygments (>= 1.2),
  python-jinja2 (>= 2.3),
  sphinx-common (= ${source:Version})
Recommends: python (>= 2.6) | python-simplejson, python-imaging,
 sphinx-doc
Suggests: jsmath
Description: documentation generator for Python projects (implemented in Python 2)
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including docstrings from Python modules.
 .
 This package includes Python 2 modules and command line utilities.

Package: python3-sphinx
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
  python3-docutils (>= 0.7),
  python3-pygments (>= 1.2),
  python3-jinja2 (>= 2.3),
  sphinx-common (= ${source:Version})
Recommends: python3-imaging
Suggests: jsmath, sphinx-doc
Description: documentation generator for Python projects (implemented in Python 3)
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including docstrings from Python modules.
 .
 This package includes Python 3 modules.

Package: sphinx-common
Architecture: all
Depends: ${misc:Depends}, 
  libjs-sphinxdoc (= ${source:Version})
Recommends: python-sphinx | python3-sphinx
Conflicts: python-sphinx (<< 1.1)
Replaces: python-sphinx (<< 1.1)
Description: documentation generator for Python projects - common data
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package includes manual pages, templates, translations and other data
 files.

Package: sphinx-doc
Section: doc
Architecture: all
Conflicts: python-sphinx (<< 1.1)
Replaces: python-sphinx (<< 1.1)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation generator for Python projects - documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package includes documentation of Sphinx itself.

Package: libjs-sphinxdoc
Section: web
Architecture: all
Depends: ${misc:Depends}, libjs-jquery (>= 1.4), libjs-underscore
Description: JavaScript support for Sphinx documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package provides JavaScript code for documentation generated by Sphinx.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/python/python.mk

export PYTHONWARNINGS=d

here = $(dir $(firstword $(MAKEFILE_LIST)))/..
debian_version = $(word 2,$(shell cd $(here) && dpkg-parsechangelog | grep ^Version:))
upstream_dfsg_version = $(firstword $(subst -, ,$(debian_version)))
upstream_version = $(firstword $(subst +, ,$(debian_version)))

locales = $(notdir $(patsubst %/LC_MESSAGES,%,$(wildcard sphinx/locale/*/LC_MESSAGES)))
scripts = $(basename $(wildcard sphinx-*.py))

debroot = debian/tmp/
site_packages = $(call py_libdir,$(shell pyversions -d))
py3_site_packages = $(call py_libdir,$(shell py3versions -d))
javascript_path = /usr/share/javascript/sphinxdoc/1.0/

build-arch:

build-indep build: build-stamp

build-stamp:
	dh_testdir
	ln -sf /usr/share/javascript/jquery/jquery.js sphinx/themes/basic/static/
	ln -sf /usr/share/javascript/underscore/underscore.js sphinx/themes/basic/static/
	python ./sphinx-build.py doc build/html/
	rm -rf build/man
	cp -rl build/html build/man
	python ./sphinx-build.py -b man doc build/man
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	for python in $(shell pyversions -r); do \
		$$python tests/run.py --verbose --no-skip; \
	done
	xvfb-run ./debian/jstest/run-tests
endif
	python setup.py build --build-lib build/py2/
	python3 setup.py build --build-lib build/py3/
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	python setup.py clean
	find . -name '*.py[co]' -delete
	rm -rf build *.egg-info
	rm -f $(basename $(wildcard debian/*.in))
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	python setup.py \
		build --build-lib build/py2/ \
		install --no-compile --install-layout=deb --root $(debroot)
	python3 setup.py \
		build --build-lib build/py3/ \
		install --no-compile --install-layout=deb --root $(debroot)
	# move static files outside {site,dist}-packages
	sed -i -e "s!^package_dir = .*!package_dir = '/usr/share/sphinx'!" \
		$(debroot)$(site_packages)/sphinx/__init__.py \
		$(debroot)$(py3_site_packages)/sphinx/__init__.py
	rm -rf $(debroot)/usr/share/sphinx/
	mkdir -p $(debroot)/usr/share/sphinx/
	cd $(debroot) && mv -t usr/share/sphinx/ \
		.$(site_packages)/sphinx/texinputs \
		.$(site_packages)/sphinx/themes
	mkdir -p $(debroot)/usr/share/sphinx/pycode/
	cd $(debroot) && mv -t usr/share/sphinx/pycode/ \
		.$(site_packages)/sphinx/pycode/Grammar.txt
	cp -t $(debroot)/usr/share/sphinx/pycode/ sphinx/pycode/Grammar.pickle
	mkdir -p $(debroot)/usr/share/sphinx/ext/autosummary/
	cd $(debroot) && mv -t usr/share/sphinx/ext/autosummary/ \
		.$(site_packages)/sphinx/ext/autosummary/templates
	cd $(debroot)$(py3_site_packages)/sphinx/ && \
		rm -rf texinputs/ themes/ pycode/Grammar.txt ext/autosummary/templates/
	set -e -x; \
	cd $(debroot) && \
		for lang in $(locales); \
		do \
			install -m 644 -D .$(site_packages)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.js \
				usr/share/sphinx/locale/$$lang/sphinx.js; \
			install -m 644 -D .$(site_packages)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.mo \
				usr/share/locale/$$lang/LC_MESSAGES/sphinx.mo; \
		done
	cd $(debroot)$(site_packages)/sphinx/locale && rm -rf sphinx.pot */
	cd $(debroot)$(py3_site_packages)/sphinx/locale && rm -rf sphinx.pot */
	# install scripts not touched by easy install
	set -e -x; \
	for python in python2 python3; do \
		dir=$(debroot)/usr/share/sphinx/scripts/$$python/; \
		mkdir -p $$dir; \
		for script in $(scripts); do \
			sed -e "1 s,#!.*,#!/usr/bin/$${python%2}," $$script.py \
			> $$dir/$$script; \
			rm -f $(debroot)/usr/bin/$$script; \
		done; \
		chmod 755 $$dir/*; \
	done
	set -e -x; \
	for maintscript in $(wildcard debian/sphinx-common.*.in); do \
		sed -e 's/@SCRIPTS@/$(scripts)/' $$maintscript > $${maintscript%.in}; \
	done
	# Move JavaScript code to libjs-sphinxdoc:
	set -e -x; \
	for js in $$(find build/html/_static/ -name '*.js'); do \
		rm -f debian/libjs-sphinxdoc/$(javascript_path)/$${js##*/}; \
		cp -f $$js debian/libjs-sphinxdoc/$(javascript_path); \
	done
	set -e; \
	for js in $$(find $(debroot)/usr/share/sphinx/themes/ -name '*.js'); do \
		mv $$js debian/libjs-sphinxdoc/$(javascript_path); \
		ln -sf "$(javascript_path)/$${js##*/}" $$js; \
	done
	cd debian/dh-sphinxdoc/ && pod2man -c Debhelper -r '' dh_sphinxdoc dh_sphinxdoc.1

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_install -p sphinx-common -X /scripts/
	dh_install -N sphinx-common --fail-missing
	dh_lintian
	./debian/dh-sphinxdoc/dh_sphinxdoc -p sphinx-doc /usr/share/doc/sphinx-doc/html/
	dh_installexamples
ifneq ($(shell grep -h '^[.]TH' debian/*.1 | cut -d ' ' -f 6-7 | sort -u), "Sphinx $(upstream_version)")
	$(warning W: version numbers in the manual pages are out of date)
endif
	dh_installman
	dh_pysupport -p python-sphinx
	dh_python3 -p python3-sphinx
	dh_compress -X.py -X.js -X.rst -X.json -X.txt -Xobjects.inv
	dh_link
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch

get-orig-source:
	sh $(here)/debian/get-orig-source.sh $(upstream_dfsg_version)

.PHONY: build-arch build-indep build clean binary-indep binary-arch binary install get-orig-source
